> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/bettor-sense/integration-process/bettor-sense-related-transaction-examples/responsible-gaming-transactions.md).

# Responsible Gaming Transactions

The below examples cover requests and responses as follows:

* Account Limit Inform   (limit type :  stake)
* Account Limit Inform   (limit type :  session)
* Limit Reached Inform
* Account Status Inform

<details>

<summary><strong>Account Limit Inform Request (limit type : stake)</strong></summary>

```json
{
    "operatorId": 123456,
    "content": {
      "type": "account-limit-inform",
      "endCustomer": {
        "id": "id1234567890"
      },
      "limit": {
        "type": "stake",
        "period": "weekly",
        "amount": {
           "value": "123.456",
           "currency": "USD"
         }
      }
    },
    "correlationId": "Uw59kwUL",
    "timestampUtc": 1739273327048,
    "operation": "account-limit-inform",
    "version": "3.0"
  }
```

</details>

<details>

<summary><strong>Account Limit Inform Response</strong></summary>

```json
{
  "content": {
    "type": "account-limit-inform-reply",
    "code": 0,
    "message": "Transaction processed",
    "signature": "Ghedef23+SmjWB3xDB0AIB6fUZVFOvmGKm6Rcvxm0="
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1739273327213,
  "operation": "account-limit-inform",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Account Limit Inform Request (limit type : session)</strong></summary>

```json
{
    "operatorId": 123456,
    "content": {
      "type": "account-limit-inform",
      "endCustomer": {
        "id": "id1234567890"
      },
      "limit": {
        "type": "session",
        "duration": 10
      }
    },
    "correlationId": "Uw59kwUL",
    "timestampUtc": 1739273327048,
    "operation": "account-limit-inform",
    "version": "3.0"
  }
```

</details>

<details>

<summary><strong>Account Limit Inform Response</strong></summary>

```json
{
  "content": {
    "type": "account-limit-inform-reply",
    "code": 0,
    "message": "Transaction processed",
    "signature": "Ghedef23+SmjWB3xDB0AIB6fUZVFOvmGKm6Rcvxm0="
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1739273327213,
  "operation": "account-limit-inform",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Limit Reached Inform Request</strong></summary>

```json
{
  "operatorId": 123456,
  "content": {
    "type": "account-limit-reached-inform",
    "endCustomer": {
      "id": "id1234567890"
    },
    "reachedLimit": "session"
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1739273327048,
  "operation": "account-limit-reached-inform",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Limit Reached Inform Response</strong></summary>

```json
{
  "content": {
    "type": "account-limit-reached-inform-reply",
    "code": 0,
    "message": "Transaction processed",
    "signature": "Ghedef23+SmjWB3xDB0AIB6fUZVFOvmGKm6Rcvxm0="
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1739273327213,
  "operation": "account-limit-reached-inform",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Account Status Inform Request</strong></summary>

```json
{
  "operatorId": 123456,
  "content": {
    "type": "account-status-inform",
    "endCustomer": {
      "id": "id1234567890"
    },
    "status": "excluded",
    "duration": "permanent",
    "reason": null,
    "initiator": "regulator",
    "periodStartUtc": 1739275200000
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1739273327048,
  "operation": "account-status-inform",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Account Status Inform Response</strong></summary>

```json
{
  "content": {
    "type": "account-status-inform-reply",
    "code": 0,
    "message": "Transaction processed",
    "signature": "Ghedef23+SmjWB3xDB0AIB6fUZVFOvmGKm6Rcvxm0="
  },
  "correlationId": "Uw59kwUL",
  "timestampUtc": 1739273327213,
  "operation": "account-status-inform",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/bettor-sense/integration-process/bettor-sense-related-transaction-examples/responsible-gaming-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
